Upgrade Katello 3.0 to 3.1 - yum update fails with depency error

09/15/2016 12:01 PM - Oliver Weinmann

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi,

trying to upgrade from Katello 3.0 to 3.1 fails at the yum update step:

Error: Package: tfm-rubygem-tire-0.6.2-2.el7.noarch (@katello)

Requires: tfm-rubygem(ansi)

Removing: tfm-rubygem-ansi-1.4.3-6.el7.noarch (@foreman)

tfm-rubygem(ansi) = 1.4.3

Obsoleted By: tfm-runtime-3.1-3.el7.x86_64 (foreman)

Not found

You could try using --skip-broken to work around the problem

You could try running: rpm -Va --nofiles --nodigest

History

#1 - 09/16/2016 08:56 AM - Oliver Weinmann

Hi,

problem solved. I set up a fresh CentOS 7.2 VM and compared the packages.

on the old VM some packages starting with ruby193 were present. I removed them and voila yum -y update works fine.

rpm -qa | grep -i ruby193 | xargs yum remove -y

Ticket closed. :)

#2 - 06/07/2017 05:51 AM - Justin Sherrill

- translation missing: en.field_release deleted (171)

#3 - 06/07/2017 02:59 PM - Eric Helms

- Status changed from New to Resolved

- translation missing: en.field_release set to 166

This has been resolved in latest releases please upgrade and re-open if you hit the issue again.
